<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2008-2012 EBM WebSourcing, 2012-2018 Linagora

 This program/library is free software: you can redistribute it and/or modify
 it under the terms of the New BSD License (3-clause license).

 This program/library is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 for more details.

 You should have received a copy of the New BSD License (3-clause license)
 along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 for the New BSD License (3-clause license).
-->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:w="http://schemas.xmlsoap.org/wsdl/">
	<xsl:output method="xml"/>

	<xsl:template match="w:definitions">
		<xsl:copy>
			<xsl:attribute name="targetNamespace">
	    		<xsl:value-of select="@targetNamespace" />
			  </xsl:attribute>
			  <xsl:attribute name="name">
			    <xsl:value-of select="@name" />
			  </xsl:attribute>
			 <!-- <xsl:apply-templates select="portType"/>
			 <xsl:apply-templates select="message"/>-->
			 <xsl:for-each select="w:types">
			 	<xsl:call-template name="copyNode"/>
			 </xsl:for-each>
			  <xsl:for-each select="w:message">
			 	<xsl:call-template name="copyNode"/>
			 </xsl:for-each>
			 <xsl:for-each select="w:portType">
			 	<xsl:call-template name="copyNode"/>
			 </xsl:for-each>
			 <xsl:for-each select="w:binding">
			 	<xsl:call-template name="copyNode"/>
			 </xsl:for-each>
			 <xsl:for-each select="w:service">
			 	<xsl:call-template name="copyNode"/>
			 </xsl:for-each>
				 
		</xsl:copy>
	</xsl:template>	
	
	<xsl:template name="copyNode">
				<xsl:copy-of select="." />
	</xsl:template>
	
 <!-- <xsl:template match="portType">
				<xsl:copy-of select="." />
	</xsl:template>-->

	
</xsl:stylesheet>
